
%define lang de

Name:		task-kde-%{lang}
Summary:	Convert the KDE desktop to the German language
Version:	2.0
Release:	%mkrel 1
Group:		Tasks
URL:		http://www.pclinuxos.com
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires: locales
Requires: locales-en
Requires: locales-%{lang}
Requires: glibc-i18ndata
Source1: i18n
Source2: plasma-locale-settings.sh
Source3: plasma-localerc
Source4: locale.tar.gz

%description
This package will convert your KDE desktop and KDE applications to
the German language.

%prep

%build

%install

mkdir -p %buildroot/opt/locale/%{lang}
install -m 0644 %SOURCE1 %buildroot/opt/locale/%{lang}/i18n
install -m 0644 %SOURCE2 %buildroot/opt/locale/%{lang}/plasma-locale-settings.sh
install -m 0644 %SOURCE3 %buildroot/opt/locale/%{lang}/plasma-localerc
install -m 0644 %SOURCE4 %buildroot/opt/locale/%{lang}/locale.tar.gz

%files
%defattr(-,root,root)
%dir /opt/locale/%{lang}
/opt/locale/%{lang}/i18n
/opt/locale/%{lang}/plasma-locale-settings.sh
/opt/locale/%{lang}/plasma-localerc
/opt/locale/%{lang}/locale.tar.gz


%posttrans
tar -xf /opt/locale/%{lang}/locale.tar.gz -C /usr/share/

/bin/cp /opt/locale/%{lang}/i18n /etc/sysconfig/i18n

/bin/cp /opt/locale/%{lang}/plasma-locale-settings.sh /root/.config/plasma-locale-settings.sh
/bin/cp /opt/locale/%{lang}/plasma-localerc /root/.config/plasma-localerc

mkdir -p /etc/skel/.conf
/bin/cp /opt/locale/%{lang}/plasma-locale-settings.sh /etc/skel/.conf/plasma-locale-settings.sh
/bin/cp /opt/locale/%{lang}/plasma-localerc /etc/skel/.conf/plasma-localerc


SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS
do
	mkdir -p /home/$idx/.config
	/bin/cp /opt/locale/%{lang}/plasma-locale-settings.sh /home/$idx/.config/plasma-locale-settings.sh
	/bin/cp /opt/locale/%{lang}/plasma-localerc /home/$idx/.config/plasma-localerc
	chown -R $idx:$idx /home/$idx/.config/plasma-locale-settings.sh
	chown -R $idx:$idx /home/$idx/.config/plasma-localerc
done

rm -rf /opt/locale/%{lang}


echo "A reboot is recommended after this update."

%changelog
* Tue Sep 01 2020 - 2.0-1pclos2020
- update
